> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate a link token



## OpenAPI

````yaml get /api/v1/link-token/{token}
openapi: 3.0.0
info:
  title: Oneloop API
  version: 1.0.0
  description: API Key Management
servers:
  - url: https://prod.oneloop.ai
    description: Production server
security:
  - bearerAuth: []
paths:
  /api/v1/link-token/{token}:
    get:
      summary: Validate a link token
      operationId: validateLinkToken
      parameters:
        - schema:
            type: string
            description: The link token.
          required: true
          name: token
          in: path
      responses:
        '200':
          description: The validation result
          content:
            application/json:
              schema:
                type: object
                properties:
                  valid:
                    type: boolean
                  expiresAt:
                    type: integer
                    minimum: 0
                    exclusiveMinimum: true
                  workspaceId:
                    type: string
                  customerId:
                    type: string
                  externalBillingId:
                    type: string
                required:
                  - valid
                  - expiresAt
                  - workspaceId
                  - customerId
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: number
              minimum: 0
              exclusiveMinimum: true
            message:
              type: string
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````